ServerEvents.recipes(e => {

e.recipes.create.compacting(
'kubejs:iron_rock_candy',
[
Fluid.of('createcafe:melted_sugar'),
'9x minecraft:iron_block',
'ironfurnaces:rainbow_coal',
'silentsdelight:warden_ear_on_a_stick',
'trials:trial_key_ominous']).superheated()

e.recipes.create.compacting(
'kubejs:gold_rock_candy',
[
Fluid.of('createcafe:melted_sugar'),
'9x minecraft:gold_block',
'ironfurnaces:rainbow_coal',
'silentsdelight:warden_ear_on_a_stick',
'trials:trial_key_ominous']).superheated()

e.recipes.create.compacting(
'kubejs:lapis_rock_candy',
[
Fluid.of('createcafe:melted_sugar'),
'9x minecraft:lapis_block',
'ironfurnaces:rainbow_coal',
'silentsdelight:warden_ear_on_a_stick',
'trials:trial_key_ominous']).superheated()

e.recipes.create.compacting(
'kubejs:emerald_rock_candy',
[
Fluid.of('createcafe:melted_sugar'),
'9x minecraft:emerald_block',
'ironfurnaces:rainbow_coal',
'silentsdelight:warden_ear_on_a_stick',
'trials:trial_key_ominous']).superheated()

e.recipes.create.compacting(
'kubejs:netherite_rock_candy',
[
Fluid.of('createcafe:melted_sugar'),
'9x minecraft:netherite_block',
'ironfurnaces:rainbow_coal',
'silentsdelight:warden_ear_on_a_stick',
'trials:trial_key_ominous']).superheated()

e.recipes.create.compacting(
'kubejs:copper_rock_candy',
[
Fluid.of('createcafe:melted_sugar'),
'9x minecraft:copper_block',
'ironfurnaces:rainbow_coal',
'silentsdelight:warden_ear_on_a_stick',
'trials:trial_key_ominous']).superheated()

e.recipes.create.compacting(
'kubejs:diamond_rock_candy',
[
Fluid.of('createcafe:melted_sugar'),
'9x minecraft:diamond_block',
'ironfurnaces:rainbow_coal',
'silentsdelight:warden_ear_on_a_stick',
'trials:trial_key_ominous']).superheated()

e.recipes.create.compacting(
'kubejs:quartz_rock_candy',
[
Fluid.of('createcafe:melted_sugar'),
'20x minecraft:quartz_block',
'ironfurnaces:rainbow_coal',
'silentsdelight:warden_ear_on_a_stick',
'trials:trial_key_ominous']).superheated()

e.recipes.create.compacting(
'kubejs:redstone_rock_candy',
[
Fluid.of('createcafe:melted_sugar'),
'9x minecraft:redstone_block',
'ironfurnaces:rainbow_coal',
'silentsdelight:warden_ear_on_a_stick',
'trials:trial_key_ominous']).superheated()

e.recipes.ars_nouveau.enchanting_apparatus(
        [
            "kubejs:iron_rock_candy",
            "kubejs:gold_rock_candy",
            "kubejs:lapis_rock_candy",
            "kubejs:emerald_rock_candy",
            "kubejs:copper_rock_candy",
            "kubejs:diamond_rock_candy",
            "kubejs:quartz_rock_candy",
            "kubejs:redstone_rock_candy",
        ], 
	    "kubejs:netherite_rock_candy",
	    "kubejs:specific_rock_candy",
	    10000,
	);

})